# DataExchange
TKSTEPBase
StepShape

# StepShape_OrientedFace Class Reference

`#include <StepShape_OrientedFace.hxx>`

Inheritance diagram for StepShape_OrientedFace:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_OrientedFace ()
| Returns a OrientedFace .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfFaceBound)&aBounds)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Face)&aFaceElement, const Standard_Boolean aOrientation)
Standard_EXPORT void | SetFaceElement (const Handle(StepShape_Face)&aFaceElement)
Standard_EXPORT Handle_StepShape_Face | FaceElement () const
Standard_EXPORT void | SetOrientation (const Standard_Boolean aOrientation)
Standard_EXPORT Standard_Boolean | Orientation () const
virtual Standard_EXPORT void | SetBounds (const Handle(StepShape_HArray1OfFaceBound)&aBounds)
virtual Standard_EXPORT Handle_StepShape_HArray1OfFaceBound | Bounds () const
virtual Standard_EXPORT Handle_StepShape_FaceBound | BoundsValue (const Standard_Integer num) const
virtual Standard_EXPORT Standard_Integer | NbBounds () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_Face | faceElement
Standard_Boolean | orientation

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_OrientedFace::StepShape_OrientedFace | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepShape_HArray1OfFaceBound StepShape_OrientedFace::Bounds | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_Face.

virtual Standard_EXPORT Handle_StepShape_FaceBound StepShape_OrientedFace::BoundsValue | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from StepShape_Face.

Standard_EXPORT Handle_StepShape_Face StepShape_OrientedFace::FaceElement | ( |  | ) | const

Standard_EXPORT const StepShape_OrientedFace::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Face.

virtual Standard_EXPORT void StepShape_OrientedFace::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Face)& | aFaceElement,
|  | const Standard_Boolean | aOrientation
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_OrientedFace::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfFaceBound)& | aBounds
| ) | `[virtual]`

| Reimplemented from StepShape_Face.

virtual Standard_EXPORT Standard_Integer StepShape_OrientedFace::NbBounds | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_Face.

Standard_EXPORT Standard_Boolean StepShape_OrientedFace::Orientation | ( |  | ) | const

virtual Standard_EXPORT void StepShape_OrientedFace::SetBounds | ( | const Handle(StepShape_HArray1OfFaceBound)& | aBounds | ) | `[virtual]`

| Reimplemented from StepShape_Face.

Standard_EXPORT void StepShape_OrientedFace::SetFaceElement | ( | const Handle(StepShape_Face)& | aFaceElement | ) |

Standard_EXPORT void StepShape_OrientedFace::SetOrientation | ( | const Standard_Boolean | aOrientation | ) |

## Field Documentation

Handle_StepShape_Face StepShape_OrientedFace::faceElement `[private]`

Standard_Boolean StepShape_OrientedFace::orientation `[private]`

The documentation for this class was generated from the following file:

- StepShape_OrientedFace.hxx